.columns {
  grid-template-columns: repeat(auto-fill, minmax(auto, 1fr));
}

@media(min-width: 768px) {
  .columns {
    grid-template-columns: repeat(auto-fill, minmax(12rem, 1fr));
  }
}

@media(min-width: 1024px) {
  .columns {
    grid-template-columns: repeat(auto-fill, minmax(18rem, 1fr));
  }
}
